Create Lease: Propertyware
https://api.propexo.com/v1/leases/propertyware/| Method |
|---|
| createLease |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
tenants object[]required
An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
The Propexo unique identifier for the lead, applicant, or resident
The start date associated with the lease
The end date associated with the lease
The move-in date associated with the lease
The move-out date associated with the lease
The status associated with the lease
Show 5 enum values
DraftActiveActive - Notice GivenTerminatedEvictionResponse
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
tenants object[]required
The Propexo unique identifier for the lead, applicant, or resident
The start date associated with the lease
The end date associated with the lease
The move-in date associated with the lease
The move-out date associated with the lease
The status associated with the lease
Show 5 enum values
DraftActiveActive - Notice GivenTerminatedEvictionErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leases/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"primary_contact_id": "string",
"tenants": [
{
"id": "string"
}
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"primary_contact_id": "string",
"tenants": [
{
"id": "string"
}
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft"
}
}